# -*- coding: utf-8 -*-
"""
(c)2012-2013 ЗАО "РИПАС"
www.ripas.ru
"""
has_pysvn = False
try:
    import pysvn
    has_pysvn = True
except:
    pass
if has_pysvn:
    import svnupdater
    if not svnupdater.noPySvn:
        import RoadCentre
        from PythonQt import QtGui
        from settings import userSettings
        from gui import mainWindow
        tb=mainWindow.addToolBar(u'SVN обновление')
        tb.objectName='svnUpdater'
        tb.addAction(QtGui.QIcon('images/update_project.png'),u'проверить обновление проекта', svnupdater.manualUpdateProject)
        a=tb.addAction(QtGui.QIcon('images/auto_update_project.png'),u'автообновление проекта')
        a.checkable=1
        a.checked=userSettings.value('projectAutoupdate',0)=='1'
        if a.checked:
            svnupdater.setAutoUpdateProject(True)
        a.connect('triggered(bool)', svnupdater.setAutoUpdateProject)
        tb.addAction(QtGui.QIcon('images/Actions-svn-commit-icon.png'),u'Опубликовать проект', svnupdater.commitProject)
        tb.addAction(QtGui.QIcon('images/Actions-svn-revert-icon.png'),u'Восстановить проект', svnupdater.revertProject)
        tb.addSeparator()

        if hasattr(svnupdater,'programUpdater'):
            tb.addAction(QtGui.QIcon('images/update_program.png'),u'проверить обновление программы', svnupdater.manualUpdateProgram)
            a=tb.addAction(QtGui.QIcon('images/auto_update_program.png'),u'автообновление программы')
            a.checkable=1
            a.checked=userSettings.value('programAutoupdate',0)=='1'
            if a.checked:
                svnupdater.setAutoUpdateProgram(True)
            a.connect('triggered(bool)', svnupdater.setAutoUpdateProgram)
        RoadCentre.svnupdater=svnupdater
